<script setup>
import { UpdatePage } from '@/app/core/pages/crud';
import model from '@/modules/questions/models/questions_answers';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Buttons from '@/app/components/crud/form/_Buttons.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    data() {
        return new UpdatePage({
            context: this,
            title: this.__('Редактирование'),
            titleField: 'id',
            breadcrumbs: [
                {
                    label: this.__('Ответы'),
                    path: 'questions/answers',
                },
            ],
            model: model,
            http: {
                method: 'PATCH',
                path: 'questions/answers/:id',
                query: {
                    'with[0]': 'answers',
                },
            },
            redirectPath: 'questions/answers',
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <Buttons />
    </PageTitle>

    <Item child="form" />
</template>
